Bug 861180 (CVE-2012-4457)

Summary: CVE-2012-4457 OpenStack Keystone 2012.1.1: fails to raise Unauthorized user error for disabled tenant
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apevec, apevec, bfilippov, breu, d.busby, Jan.van.Eldik, jonathansteffan, jose.castro.leon, markmc, mjc, p, rbryant
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120526,reported=20120926,source=upstream,cvss2=4.0/AV:N/AC:L/Au:S/C:N/I:P/A:N,openstack-1/openstack-keystone=affected,fedora-all/openstack-keystone=affected,epel-6/openstack-keystone=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-16 14:17:51 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 861182, 861183, 861186    
Bug Blocks: 852512    
Attachments:
Description Flags
CVE-2012-4457-keystone-988920.patch none

Description Kurt Seifried 2012-09-27 14:13:09 EDT
Rohit Karajgi discovered a vulnerability in OpenStack Keystone token handling:

Token authentication for a user belonging to a disable tenant should not be 
allowed.

External References:
https://bugs.launchpad.net/keystone/+bug/988920
Comment 1 Kurt Seifried 2012-09-27 14:19:21 EDT
Created openstack-keystone tracking bugs for this issue

Affects: fedora-all [bug 861182]
Comment 2 Kurt Seifried 2012-09-27 14:21:22 EDT
Created openstack-keystone tracking bugs for this issue

Affects: epel-6 [bug 861183]
Comment 4 Kurt Seifried 2012-09-27 15:21:35 EDT
Created attachment 618258 [details]
CVE-2012-4457-keystone-988920.patch
Comment 5 Kurt Seifried 2012-09-29 09:59:39 EDT
Official vendor advisory:
https://lists.launchpad.net/openstack/msg17036.html
Comment 6 Alan Pevec 2012-09-30 03:56:11 EDT
Above is a reply, original OSSA 2012-016 post is
 https://lists.launchpad.net/openstack/msg17035.html
Comment 7 errata-xmlrpc 2012-10-16 13:26:05 EDT
This issue has been addressed in following products:

  OpenStack Essex for RHEL 6

Via RHSA-2012:1378 https://rhn.redhat.com/errata/RHSA-2012-1378.html